Skip to main content
`Ctrl`+`K`
scipy.stats.Uniform.

# median

Uniform.median(*, method=None)

  Median (50th percentile)

  If a continuous random variable \(X\) has probability \(0.5\) of taking on a value less than \(m\), then \(m\) is the median.

  More generally, a median is a value \(m\) for which:

  \[P(X ≤ m) ≤ 0.5 ≥ P(X ≥ m)\]

  For discrete random variables, the median may not be unique, in which case the smallest value satisfying the definition is reported.

  Parameters:
    method{None, ‘formula’, ‘icdf’}

      The strategy used to evaluate the median. By default (`None`), the infrastructure chooses between the following options, listed in order of precedence.

      - `'formula'`: use a formula for the median

      - `'icdf'`: evaluate the inverse CDF of 0.5

      Not all method options are available for all distributions. If the selected method is not available, a `NotImplementedError` will be raised.

  Returns:
    out array

      The median

  See also

  `mean`
  `mode`
  `icdf`

  References

  [1]

  Median, Wikipedia, https://en.wikipedia.org/wiki/Median#Probability_distributions

  Examples

  Instantiate a distribution with the desired parameters:

      >>> from scipy import stats
      >>> X = stats.Uniform(a=0., b=10.)

  Compute the median:

      >>> X.median()
      np.float64(5.0)
      >>> X.median() == X.icdf(0.5) == X.iccdf(0.5)
      True